<md-content
	layout="column"
	flex>
	
	<div>
		<a href="elearn/topic/{{topic.id}}">
			<wb-icon ng-if="app.setting.dir!=='rtl'">arrow_back</wb-icon>
			<wb-icon ng-if="app.setting.dir==='rtl'">arrow_forward</wb-icon>
			{{topic.title}}
		</a>
		<span flex></span>
	</div>
	
	<am-wb-inline
		am-wb-inline-type="image"
		am-wb-inline-label="Cover"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="course.cover">
		<div
			layout="column"
			layout-align="start center">
			<img 
				style="border-radius: 10px;"
				ng-src="{{ course.cover }}" 
				height="128px" width="128px" 
				alt="domain image"></img>
		</div>
	</am-wb-inline>
	<am-wb-inline
		style="text-align: center;"
		am-wb-inline-type="text"
		am-wb-inline-label="Title"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="course.title">
		<h1>{{course.title}}</h1>
	</am-wb-inline>
	<am-wb-inline
		style="text-align: center;"
		am-wb-inline-type="textarea"
		am-wb-inline-label="description"
		am-wb-inline-on-save="update()"
		am-wb-inline-enable="app.user.owner"
		ng-model="course.abstract">
		<p>{{course.abstract || 'empty' }}</p>
	</am-wb-inline>
	
	<div
		ng-show="app.user.owner && ctrl.items && ctrl.items.length > 0">
		<md-button
			ng-click="addLesson()">
			<wb-icon>add</wb-icon>
			<span translate>Add Lesson</span>
		</md-button>
	</div>
	<!-- TODO: maso, 2018: order by 'order' and add management -->
	<amh-elearn-lesson-block
		ng-repeat="object in ctrl.items | orderBy:'id' track by object.id "
		ng-model="object">
	</amh-elearn-lesson-block>
  
	<div
		layout="column"
		layout-align="center center"
		ng-show="!ctrl.items || ctrl.items.length == 0">
		<h2>Empty lesson list</h2>
		<p>Any lesson match with the query. You can add a new course by 
			click on the add button.</p>
		<md-button
			ng-click="addLesson()">
			<wb-icon>add</wb-icon>
			<span translate>Add lesson</span>
		</md-button>
	</div>
</md-content>